#!/usr/bin/perl
# 
# (c) O. Corff, Shenyang, Beijing, Ulaanbaatar, Berlin 2001
# 
# Bundled with MonTeX Implementation Level IV
#
# This file is put under the GNU licence.
#
# A simple filter which generates simplified Mongol Bicig input out
# of fully romanized texts.

while (<>) {
	s/(\\[a-zA-Z{}]+|[^0-9{}.,;\\() \t]+)/&recycle($1)/ge;
	print;
	}

sub recycle {
	my $entry=$_[0];
	if ($entry=~/\\/) { return $entry}
	if ($entry eq "k") {$entry="ku"; return $entry}
	else {
		if ($entry=~/[]/) {
			$entry=~s/ng/NG/g;
			$entry=~s/g/G/g;
			$entry=~s/g/k/g;
			$entry=~s/G/g/g;
			$entry=~s/NG/ng/g;
			}
		$entry=~s/^e/E/;
		$entry=~s/e/v/;
		$entry=~s//e/g;
		$entry=~s/E/ev/g;
		$entry=~s/^(.'?)?[]i/$1uii/;
		$entry=~s/^([^aeoui]'?)?[]/$1ui/;
		$entry=~s/[o]/u/g;
		$entry=~s/([aeu])yi/$1ii/g;
		$entry=~s/Y/y/g;
		$entry=~s/G/g/g;
		$entry=~s/^t/INIT/;
		$entry=~s/-t/-INIT/g;
		$entry=~s/D/d'/g;
		$entry=~s/t/d/g;
		$entry=~s/T/t/g;
		$entry=~s/INI//g;
		$entry=~s//ui/g;
		$entry=~s/-iyan/-iian/g;
		$entry=~s/-iyen/-iien/g;
		$entry=~s/-iyar/-iiar/g;
		$entry=~s/-iyer/-iier/g;
		$entry=~s/([ds])ga/$1xa/g;
		return $entry;
		}
}
__END__
		$entry=~s/([Glmnry])-a/$1=a/g;
